package com.dxhy.core.dao.frTask;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.frJob.FpTaxAmount;
import com.dxhy.core.entity.frJob.VoucherRecordQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface RecordToQueryDao extends BaseMapper<VoucherRecordQuery> {

    List<VoucherRecordQuery> getDataFromRecordItems(@Param("start")String beginTime,
                                                    @Param("end") String endTime,
                                                    @Param("kjkmbh")String kjkmbh);

    Date getBeginTime(String kjkmbh);

    Date getBeginTimefromRecord();

    void insertDataToQuery(List<VoucherRecordQuery> voucherRecordQuerys);

    List<FpTaxAmount> getTaxAmount(List<String> bzdhs);

    List<VoucherRecordQuery> getDataXFromRecordItems(@Param("start") String start,
                                                     @Param("end") String end,
                                                     @Param("kjkmbh")String kjkmbh);

    List<FpTaxAmount> getXTaxAmount(List<String> bzdhs);

    List<VoucherRecordQuery> getDataZFromRecordItems(@Param("start") String start,
                                                     @Param("end") String end,
                                                     @Param("kjkmbh") String kjkmbh);

}
