package com.dxhy.core.job.thread;

import javax.annotation.Resource;

import com.dxhy.common.utils.SpringContextUtils;
import com.dxhy.core.job.service.InvoiceInterfaceService;
import lombok.SneakyThrows;

/**
 * @author user
 */
public class SelectInvoiceHandle extends Thread {
    @Resource
    private InvoiceInterfaceService invoiceInterfaceService;

    private final String taxno;
    private final String db;
    private final String aceId;
    private final String aceKey;

    public SelectInvoiceHandle(String taxno, String db, String aceId, String aceKey) {
        this.taxno = taxno;
        this.db = db;
        this.aceId = aceId;
        this.aceKey = aceKey;
    }

    @SneakyThrows
    @Override
    public void run() {
        invoiceInterfaceService = (InvoiceInterfaceService)SpringContextUtils.getBean("InvoiceInterfaceService");
        invoiceInterfaceService.sendSelectRequest(taxno, db, aceId, aceKey);
    }
}
