package com.dxhy.common.constant;

/**
 * 
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:57:03
 *
 */
public class CommonConstants {
    public final static String RESOURCE_TYPE_MENU = "menu";
    public final static String RESOURCE_TYPE_BTN = "button";
    /**
     * 用户token异常
     */

    public static final Integer EX_USER_INVALID_CODE = 40101;
    public static final Integer EX_USER_PASS_INVALID_CODE = 40001;
    /**
     * 客户端token异常
     */
    public static final Integer EX_CLIENT_INVALID_CODE = 40301;
    public static final Integer EX_CLIENT_FORBIDDEN_CODE = 40331;
    public static final Integer EX_OTHER_CODE = 500;
    public static final String CONTEXT_KEY_USER_ID = "currentUserId";
    public static final String CONTEXT_KEY_USERNAME = "currentUserName";
    public static final String CONTEXT_KEY_LOGINNAME = "currentLoginName";
    public static final String CONTEXT_KEY_USER_NAME = "currentUser";
    public static final String CONTEXT_KEY_USER_TOKEN = "currentUserToken";
    public static final String JWT_KEY_USER_ID = "userId";
    public static final String JWT_KEY_NAME = "name";
    public static final String CONTEXT_KEY_USER = "cuerrent_user";
    public static final String TOKEN_DATE = "token_date";
    public static final String TOKEN_EXPIRE = "token_expire";
    /**
     * 服务端处理业务逻辑正常代码
     */
    public static final Integer EX_SUCC = 200;
    /**
     * 服务端处理业务逻辑异常代码
     */
    public static final Integer EX_FAIL = 500;
    /**
     * 服务端处理结果代码key
     */
    public static final String KEY_ERRCODE = "errcode";
    /**
     * 服务端处理结果错误信息key
     */
    public static final String KEY_ERRMSG = "errmsg";
    /**
     * 查询列表信息统一的key
     */
    public static final String KEY_LIST = "xxlb";
    /**
     * 默认返回页面的错误信息
     */
    public static final String MSG_ERR_DEFAULT = "处理失败，请稍后重试！";

    /**
     * 默认返回页面的错误信息
     */
    public static final String MSG_ERR_PUSH_SDNY = "推送数据到sap失败！";

    /**
     * 超时的错误信息
     */
    public static final String CONNECT_TIMEOUT = "网络超时,请稍后重试！";

    /**
     * 空指针的错误信息
     */
    public static final String NULL_POINTER_TIMEOUT = "系统错误,请稍后重试！";

    /**
     * 默认返回页面的成功信息
     */
    public static final String MSG_SUCC_DEFAULT = "请求处理成功！";

    public static final String GFSH_OR_COMPANYCODE_MISS ="当前账户未配置税号,请联系管理员开通权限";
}
