package com.dxhy.core.dao.frTask;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.entity.frJob.VoucherRecordQueryDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface QueryDetailDataDao extends BaseMapper<VoucherRecordQueryDetail> {
    
    Date getBeginTime(String kjkmbh);

    Date getBeginTimefromRecord();

    List<VoucherRecordQueryDetail> getDataFromRecord(@Param("beginTime") String beginTime,
                                                     @Param("endTime") String endTime,
                                                     @Param("kjkmbh") String kjkmbh);

    void insertDataToItem(List<VoucherRecordQueryDetail> voucherRecordQueryDetails);

    List<VoucherRecordQueryDetail> getDataFromRecordJe(@Param("beginTime") String beginTime,
                                                     @Param("endTime") String endTime,
                                                     @Param("kjkmbh") String kjkmbh);

    List<VoucherRecordQueryDetail> getDataFromRecordXx(@Param("beginTime") String beginTime,
                                                     @Param("endTime") String endTime,
                                                     @Param("kjkmbh") String kjkmbh);
}
