package com.dxhy.core.enmu;

import com.google.common.collect.Maps;

import java.util.Map;

public enum KjkmTaxEnmu {

    YJJXZZSSL("2221010101","16"),
    YJJXZZSSS("2221010102","13"),
    YJJXZZSS("2221010103","10"),
    YJJXZZSJ("2221010104","9"),
    YJJXZZSL("2221010105","6"),
    YJJXZZSW("2221010106","5"),
    YJJXZZST("2221010107","3"),
    YJJXZZSE("2221010108","2"),
    YJJXZZSZ("2221010109","0"),
    YJJXZZSSQ("2221010110","17"),
    YJJXZZSSY("2221010111","11"),
    YJJXZZSY("2221010112","1"),
    YJJXZZSYW("2221010113","1.5"),
    YJXXZZSSL("2221010201","16"),
    YJXXZZSSS("2221010202","13"),
    YJXXZZSS("2221010203","10"),
    YJXXZZSJ("2221010204","9"),
    YJXXZZSL("2221010205","6"),
    YJXXZZSW("2221010206","5"),
    YJXXZZST("2221010207","3"),
    YJXXZZSE("2221010208","2"),
    YJXXZZSZ("2221010209","0"),
    YJXXZZSSQ("2221010210","17"),
    YJXXZZSSY("2221010211","11"),
    YJXXZZSY("2221010212","1");

    private String kjkm;
    private String tax;
    KjkmTaxEnmu(String kjkm,String tax){
        this.kjkm = kjkm;
        this.tax = tax;
    }

    public static Map<String,String> getTaxMap(){
        Map<String,String> taxMap = Maps.newHashMap();
        for (KjkmTaxEnmu value : KjkmTaxEnmu.values()) {
            taxMap.put(value.kjkm,value.tax);
        }
        return taxMap;
    }
}
