package com.dxhy.core.entity.frJob;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("voucher_record_item")
public class VoucherRecordItemEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * 主键
     */
    private Long id;

    /**
     * 和主键关联的id
     */
    private Long relationId;

    /**
     * 行项目编码
     */
    private String docln;

    /**
     * 借贷标识
     */
    private String drcrk;

    /**
     * 借贷描述  s借 h贷
     */
    private String zdrcrk;

    /**
     * 科目编码
     */
    private String racct;

    /**
     * 科目描述
     */
    private String txt50;

    /**
     * 借方金额
     */
    private String zwslj;

    /**
     * 贷方金额
     */
    private String zwsld;

    /**
     * 公司代码货币
     */
    private String rhcur;

    /**
     * 交易货币
     */
    private String rwcur;

    /**
     * 本位币借方金额
     */
    private String zhslj;

    /**
     * 本位币贷方金额
     */
    private String zhsld;

    /**
     * 公司代码货币
     */
    private String phcur;

    /**
     * 供应商编码
     */
    private String lifnr;

    /**
     * 供应商名称
     */
    private String zname;

    /**
     * 客户编码
     */
    private String kunnr;

    /**
     * 物料编码
     */
    private String matnr;

    /**
     * 物料名称
     */
    private String maktx;

    /**
     * 客户名称
     */
    private String zname2;

    /**
     * 供应商名称
     */
    private String zname1;

    /**
     * 数量
     */
    private String msl;

    /**
     * 单位
     */
    private String runit;

    /**
     * 税码
     */
    private String mwskz;

    /**
     * 税率
     */
    private String kbetr;

    /**
     * 成本中心
     */
    private String rcntr;

    /**
     * 成本中心名称
     */
    private String ktext;

    /**
     * wbs编码
     */
    private String psPosid;

    /**
     * wbs名称
     */
    private String post1;

    /**
     * 订单编号
     */
    private String aufnr;

    /**
     * 订单描述
     */
    private String zktext;

    /**
     * 销售订单
     */
    private String kdauf;

    /**
     * 销售订单行
     */
    private String kdpos;

    /**
     * 是否是集成销售业务
     */
    private String zzjcfflag;

    /**
     * 资产编码
     */
    private String anln1;

    /**
     * 资产名称
     */
    private String zaatxt50;

    /**
     * 功能范围
     */
    private String rfarea;

    /**
     * 功能范围名称
     */
    private String fkbtx;

    /**
     * 矿别
     */
    private String ktype;

    /**
     * 是否是集成销售业务，如果有销售订单号，则认为是集成销售设置为x
     */
    private String zzjcflag;

    /**
     * 矿别名称
     */
    private String zkname;

    /**
     * zzfld1
     */
    private String zzfld1;

    /**
     * zzfld2
     */
    private String zzfld2;

    /**
     * zzfld3
     */
    private String zzfld3;

    /**
     * zzfld4
     */
    private String zzfld4;

    /**
     * zzfld5
     */
    private String zzfld5;

    /**
     * zzfld6
     */
    private String zzfld6;

    /**
     * zzfld7
     */
    private String zzfld7;

    /**
     * zzfld8
     */
    private String zzfld8;

    /**
     * zzfld9
     */
    private String zzfld9;

    /**
     * zzfld10
     */
    private String zzfld10;
}
