package com.dxhy.erp.entity.sdny;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SAPInvoiceInfo {

    /**
     * 报账状态
     */
    @JSONField(name = "ZBAZT")
    private String ZBAZT = "";

    /**
     * 销方税号
     */
    @JSONField(name = "ZXFSH")
    private String ZXFSH = "";

    /**
     * 受票⽅识别号
     */
    @JSONField(name = "ZSPSBH")
    private String ZSPSBH = "";

    /**
     * 机打代码
     */
    @JSONField(name = "ZJDDM")
    private String ZJDDM = "";

    /**
     * 发票所在地
     */
    @JSONField(name = "ZFPSZD")
    private String ZFPSZD = "";

    /**
     * 销方编号
     */
    @JSONField(name = "ZXFBM")
    private String ZXFBM = "";

    /**
     * 机打号码
     */
    @JSONField(name = "ZJDHM")
    private String ZJDHM = "";

    /**
     * 受票⽅名称
     */
    @JSONField(name = "ZSPMC")
    private String ZSPMC = "";

    /**
     * 票据状态
     */
    @JSONField(name = "ZPJZT")
    private String ZPJZT = "";

    /**
     * 创建人
     */
    @JSONField(name = "ZCJR")
    private String ZCJR = "";

    /**
     * 查验结果描述
     */
    @JSONField(name = "ZCYJG")
    private String ZCYJG = "";

    /**
     * 进⼝证明书号
     */
    @JSONField(name = "ZJKZM")
    private String ZJKZM = "";

    /**
     * 登记证号
     */
    @JSONField(name = "ZDJZH")
    private String ZDJZH = "";

    /**
     * 购方名称
     */
    @JSONField(name = "ZGFMC")
    private String ZGFMC = "";

    /**
     * 价款-发票不含税金额
     */
    @JSONField(name = "ZJK")
    private String ZJK = "";

    /**
     * 上车时间/行程开始时间
     */
    @JSONField(name = "ZSCSJ")
    private String ZSCSJ;

    /**
     * 查验日期
     */
    @JSONField(name = "ZCYRQ")
    private String ZCYRQ;

    /**
     * 查验状态
     */
    @JSONField(name = "ZCYZT")
    private String ZCYZT = "";

    /**
     * 运输货物信息
     */
    @JSONField(name = "ZYSHW")
    private String ZYSHW = "";

    /**
     * 发票类型
     */
    @JSONField(name = "ZFPLX")
    private String ZFPLX = "";

    /**
     * 图片附件ID
     */
    @JSONField(name = "ZFU")
    private String ZFU = "";

    /**
     * 起运地,经由,到达地
     */
    @JSONField(name = "ZQYD")
    private String ZQYD = "";

    /**
     * 乘车人姓名
     */
    @JSONField(name = "ZCCRXM")
    private String ZCCRXM = "";

    /**
     * 开票日期
     */
    @JSONField(name = "ZKPRQ")
    private String ZKPRQ = "";

    /**
     * 缩略图ID
     */
    @JSONField(name = "ZSLT")
    private String ZSLT = "";

    /**
     * 业务状态
     */
    @JSONField(name = "ZYWZT")
    private String ZYWZT = "";

    /**
     * 税额
     */
    @JSONField(name = "ZSE")
    private String ZSE = "";

    /**
     * 通行费标志
     */
    @JSONField(name = "ZTXBZ")
    private String ZTXBZ = "";

    /**
     * 用户名
     */
    @JSONField(name = "ZYHM")
    private String ZYHM = "";

    /**
     * 税控盘号
     */
    @JSONField(name = "ZSKPH")
    private String ZSKPH = "";

    /**
     * 购⽅开户⾏账户
     */
    @JSONField(name = "ZGFZH")
    private String ZGFZH = "";

    /**
     * 备注
     */
    @JSONField(name = "ZBZ")
    private String ZBZ = "";

    /**
     * 税码
     */
    @JSONField(name = "ZSM")
    private String ZSM = "";

    /**
     * 序号
     */
    @JSONField(name = "SORT")
    private String SORT = "";

    /**
     * 发票代码
     */
    @JSONField(name = "ZFPDM")
    private String ZFPDM = "";

    /**
     * 产地
     */
    @JSONField(name = "ZCD")
    private String ZCD = "";

    /**
     * 上车车站/入口
     */
    @JSONField(name = "ZSCCZ")
    private String ZSCCZ = "";

    /**
     * 车次
     */
    @JSONField(name = "ZCC")
    private String ZCC = "";

    /**
     * 发票号码
     */
    @JSONField(name = "ZFPHM")
    private String ZFPHM = "";

    /**
     * 保险费
     */
    @JSONField(name = "ZBXF")
    private String ZBXF = "";

    /**
     * 燃油附加费
     */
    @JSONField(name = "ZRYFJ")
    private String ZRYFJ = "";

    /**
     * 车架号/车辆识别代码
     */
    @JSONField(name = "ZCLSB")
    private String ZCLSB = "";

    /**
     * 开票时间
     */
    @JSONField(name = "ZKPSJ")
    private String ZKPSJ = "";

    /**
     * 下车时间/行程结束时间
     */
    @JSONField(name = "ZXCSJ")
    private String ZXCSJ;

    /**
     * 销方名称
     */
    @JSONField(name = "ZXFMC")
    private String ZXFMC = "";

    /**
     * 承运⼈识别号
     */
    @JSONField(name = "ZCYRSBH")
    private String ZCYRSBH = "";

    /**
     * 认证结果
     */
    @JSONField(name = "ZRZJG")
    private String ZRZJG = "";

    /**
     * 影像编码ID
     */
    @JSONField(name = "IMG_ID")
    private String IMG_ID = "";

    /**
     * 车牌号
     */
    @JSONField(name = "ZCPH")
    private String ZCPH = "";

    /**
     * 零税率标志
     */
    @JSONField(name = "ZLSLBZ")
    private String ZLSLBZ = "";


    /**
     * 创建时间
     */
    @JSONField(name = "ZCJSJ")
    private String ZCJSJ;

    /**
     * 发票状态
     */
    @JSONField(name = "ZFPZT")
    private String ZFPZT = "";

    /**
     * 二手车市场
     */
    @JSONField(name = "ZESCSC")
    private String ZESCSC = "";

    /**
     * 发动机号码
     */
    @JSONField(name = "ZFDJM")
    private String ZFDJM = "";

    /**
     * 更新人
     */
    @JSONField(name = "ZGXR")
    private String ZGXR = "";

    /**
     * 认证所属期
     */
    @JSONField(name = "ZRZSSQ")
    private String ZRZSSQ = "";

    /**
     * 里程
     */
    @JSONField(name = "ZLC")
    private String ZLC = "";

    /**
     * 合格证号
     */
    @JSONField(name = "ZHGZH")
    private String ZHGZH = "";

    /**
     * 销⽅地址电话
     */
    @JSONField(name = "ZXFDH")
    private String ZXFDH = "";

    /**
     * 认证结果描述
     */
    @JSONField(name = "ZRZMS")
    private String ZRZMS = "";

    /**
     * 二手车市场纳税人识别号
     */
    @JSONField(name = "ZESCSH")
    private String ZESCSH = "";

    /**
     * 公司代码
     */
    @JSONField(name = "ZGSDM")
    private String ZGSDM = "";

    /**
     * 购方税号
     */
    @JSONField(name = "ZGFSH")
    private String ZGFSH = "";

    /**
     * 税率
     */
    @JSONField(name = "ZTAX")
    private String ZTAX = "";

    /**
     * 限乘⼈数
     */
    @JSONField(name = "ZXCRS")
    private String ZXCRS = "";

    /**
     * 完税凭证号码
     */
    @JSONField(name = "ZWSPZ")
    private String ZWSPZ = "";

    /**
     * 车船吨位
     */
    @JSONField(name = "ZCCDW")
    private String ZCCDW = "";

    /**
     * 主管税务机关
     */
    @JSONField(name = "ZSWJG")
    private String ZSWJG = "";

    /**
     * 业务单据编号(报账单编号)
     */
    @JSONField(name = "ZYWDJ")
    private String ZYWDJ = "";

    /**
     * 下车车站/出口
     */
    @JSONField(name = "ZXCCZ")
    private String ZXCCZ = "";

    /**
     * 乘车人身份证号
     */
    @JSONField(name = "ZCCRZH")
    private String ZCCRZH = "";

    /**
     * 厂牌型号
     */
    @JSONField(name = "ZCPXH")
    private String ZCPXH = "";

    /**
     * 民航发展基金
     */
    @JSONField(name = "ZMHFZJJ")
    private String ZMHFZJJ = "";

    /**
     * 行项目结构
     */
    @JSONField(name = "IT_ITEM")
    private List<SAPInvoiceDetail> IT_ITEM;


    /**
     * 购⽅地址电话
     */
    @JSONField(name = "ZGFDH")
    private String ZGFDH = "";

    /**
     * 发票影像编号
     */
    @JSONField(name = "FPYXBH")
    private String FPYXBH = "";

    /**
     * 销⽅开户⾏账户
     */
    @JSONField(name = "ZXFZH")
    private String ZXFZH = "";

    /**
     * 校验码
     */
    @JSONField(name = "ZJYM")
    private String ZJYM = "";

    /**
     * 商检单号
     */
    @JSONField(name = "ZSJDH")
    private String ZSJDH = "";

    /**
     * 员工Code
     */
    @JSONField(name = "ZYGC")
    private String ZYGC = "";

    /**
     * 价税合计/总金额
     */
    @JSONField(name = "ZJSHJ")
    private String ZJSHJ = "";

    /**
     * 承运⼈名称
     */
    @JSONField(name = "ZCYRMC")
    private String ZCYRMC = "";

    /**
     * 主管税务机关代码
     */
    @JSONField(name = "ZJGDM")
    private String ZJGDM = "";

    /**
     * 更新时间
     */
    @JSONField(name = "ZGXSJ")
    private String ZGXSJ;

    /**
     * 全名
     */
    @JSONField(name = "ZQM")
    private String ZQM = "";

    /**
     * 票据来源
     */
    @JSONField(name = "ZPJLY")
    private String ZPJLY = "";

    /**
     * 认证日期
     */
    @JSONField(name = "ZRZRQ")
    private String ZRZRQ = "";

    /**
     * 座位类型
     */
    @JSONField(name = "ZZWLX")
    private String ZZWLX = "";

    /**
     * ID
     */
    @JSONField(name = "ZTID")
    private String ZTID = "";

    /**
     * 文件名称
     */
    @JSONField(name = "ZWJMC")
    private String ZWJMC = "";

}
