package com.dxhy.erp.entity.sdny;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_record_invoice_detail")
public class SdnyTDxRecordInvoiceDetail implements Serializable {

    private Long id;

    /**
     * 唯一标识(发票代码+发票号码)
     */
    private String uuid;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 明细序号
     */
    private String detailNo;

    /**
     * 货物或应税劳务名称
     */
    private String goodsName;

    /**
     * 规格型号
     */
    private String model;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数量
     */
    private String num;

    /**
     * 单价
     */
    private String unitPrice;

    /**
     * 金额
     */
    private String detailAmount;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 车牌号
     */
    private String cph;

    /**
     * 类型
     */
    private String lx;

    /**
     * 通行日期起
     */
    private String txrqq;

    /**
     * 通行日期止
     */
    private String txrqz;

    /**
     * 商品编码
     */
    private String goodsNum;

    private String isDiscount;

    /**
     * 商品服务简称
     */
    private String spfwjc;

    /**
     * 商品和服务税收分类合并编码
     */
    private String sphfwssflhbbm;

    /**
     * 扣除额
     */
    private String kce;

    private Date updateLastDate;

    /**
     * 税码
     */
    private String taxCode;

    /**
     * 是否为历史数据导入 0-不是 1-是
     */
    private String history;

    private static final long serialVersionUID = 1L;

}
